Skip to main content
POST
List Tridion items asynchronously

Authorizations

Authorization
string
header
required

IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer

Headers

X-ActionId
string

A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.

X-ResponseType
string

Specify if the response should contain the processed object itself in an application/octet-stream body, or a application/json body with an ID that can be then used to retrieve the object using a /load-content endpoint. Note that for larger files (> 1 MB), it is advised to use the ID option which is also default.

X-Webhook
string
required

Required on /async/... endpoints. Bifrost POSTs the operation result to this URL once the connector finishes processing. Omitting this header on an async endpoint returns 400.

Body

application/json

Request body for listing Tridion items. The response is a list of remoteResources you can feed back into download endpoints.

connectorUuid
string
required

UUID of a connector instance configured in TMS.

Example:

"4282fec0-d2e9-4266-8733-3e634feb7b59"

configuration
object
required

Tridion-specific behavior knobs.

path
object
required

Selector inside the Tridion repository — typically an item or folder identified by TCM URI.

sourceLocale
string
required

Locale of the items to list (locale code, e.g. en).

Example:

"en"

Response

Successful operation. If X-ResponseType is set to 'ID' or no value is sent in the header, the file is saved and can be retrieved by sending a GET request to this endpoint. If X-ResponseType is set to 'OBJECT', the file is returned as a stream.

webhookUrl
string

Webhook URL you supplied in the request

requestId
string

Request ID you can use to retrieve the result